version: 6.11.1.{build}
image: Visual Studio 2019
configuration: Release
assembly_info:
  patch: true
  file: '**\AssemblyInfo.*'
  assembly_version: '{version}'
  assembly_file_version: '{version}'
  assembly_informational_version: '{version}'
build_script:
- cmd: >-
    nuget restore    

    msbuild SecondMonitor.sln /t:Rebuild /p:Configuration=Release /v:m

    powershell "".\generateWixGuid.ps1""

    msbuild WixInstaller\WixInstaller.wixproj /t:Rebuild
test: off
artifacts:
- path: Deployment\
  name: Binaries
- path: Installer\SecondMonitor.msi
  name: Installer
#deploy:
#- provider: GitHub
 # on:
    #appveyor_repo_tag: true
  #description: Relese Description
  #tag: $(APPVEYOR_REPO_TAG_NAME)
  #auth_token:
    #secure: yhQt+R9aeo+1MaDJS5cRZnA8ZGMjlSpTu/y4U2Ity99tDyl3oqE846uvWFx5xndm
  #artifact: Installer
  #draft: true
  
  # here we are going to override common configuration
#for:

# override settings for `master` branch
#- branches:
#    only:
#      - /feat.*/
#  version: 2.5.0.0
